
QGIS Application - Bug report #16863

Qgis crashes continuously on Mac OS Sierra 

2017-07-13 05:27 PM - chrysafina geronta

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:2.18.9 Regression?: No

Operating System: Mac Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24762

Description

Qgis software 2.18.9 for Mac users was working fine since some weeks ago and now it is continuously crashing..

I tried to uninstall and install it again, as well as to install the previous version, but still doesn't work! 

I also tried to uninstall every single plugin.

It crashes when I try to select layer properties or insert a new layer in my project.

Can anyone please provide some help?

Thanks in advance!

History

#1 - 2017-07-13 05:29 PM - Giovanni Manghi

(backup and) delete the ~/.qgis2 folder, restart qgis, try again and report back. Thanks.

#2 - 2017-07-13 05:29 PM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2017-07-13 05:42 PM - chrysafina geronta

- File Screen Shot 2017-07-13 at 5.41.25 PM.png added

Giovanni Manghi wrote:

(backup and) delete the ~/.qgis2 folder, restart qgis, try again and report back. Thanks.

I opened the contents of QGIS.app but I can't find this folder, even by searching all my files on my Mac.

#4 - 2017-07-14 12:16 PM - chrysafina geronta

I created a new user on my Mac and I installed again QGIS and it worked!

When I use QGIS with my usual profile as administrator, on the interface I have my previous projects and then it crashes. 

On what does it depend? Can I do something to delete the previous settings in order to be able to use QGIS as administrator?
#5 - 2017-07-14 12:18 PM - Giovanni Manghi

chrysafina geronta wrote:

I created a new user on my Mac and I installed again QGIS and it worked!

When I use QGIS with my usual profile as administrator, on the interface I have my previous projects and then it crashes. 

On what does it depend? Can I do something to delete the previous settings in order to be able to use QGIS as administrator?

~/.qgis2

is in

/Users/yourusername

and has the "." in front is hidden by default (see macOS documentation on how to show hidden files and folders in finder).

Remove it from your Users folder and from what you say you should solve the issue. Please note that that folder contains models, plugins, scripts, so you

may want to make a backup first.

#6 - 2017-09-25 03:34 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closed for lack of feedback, please reopen if necessary.

Files

Screen Shot 2017-07-13 at 5.41.25 PM.png 223 KB 2017-07-13 chrysafina geronta
